#ifndef DIGITALCLOCK_H
#define DIGITALCLOCK_H

#include <QLCDNumber>
#include <QTimer>
#include <QLabel>



class DigitalClock : public QWidget
{
    Q_OBJECT

public:
    DigitalClock(QWidget *parent = 0);
    QTimer *timer;
    QLabel *date;
    QString dateText;
    QLCDNumber *lcdNumber;

public slots:
    void showTime();

protected:
       void mousePressEvent(QMouseEvent *);
       void keyPressEvent(QKeyEvent *event);

signals:


private slots:
};
#endif // DIGITALCLOCK_H
