#ifndef MAINMENU_H
#define MAINMENU_H

#include <QPixmap>
#include <QWidget>
#include <QComboBox>
#include <QGridLayout>
#include <QHBoxLayout>
#include <QPushButton>
#include <window.h>

class Window;
class RenderArea;
class ShowList;
class DigitalClock;
class Set;

class Mainmenu : public QWidget
{
    Q_OBJECT
public:
    Mainmenu();
    //QSize minimumSizeHint() const;
    //QSize sizeHint() const;
    Window *window;
    DigitalClock *digitalclock;
    Set *set;
    QPushButton *photo;
    QPushButton *movie;
    QPushButton *music;
    QPushButton *ebook;
    QPushButton *clock;
    QPushButton *setBtn;
    QFrame *frame;

    QGridLayout *mainlayout1;
    QHBoxLayout *belowlayout;
    QHBoxLayout *belowlayout1;


signals:


public slots:
     void toPhoto();
     void toClock();
     void toSetup();

private:


protected:
     void keyPressEvent(QKeyEvent *);

private slots:



};
#endif // MAINMENU_H
