#ifndef FILEDIALOG_H
#define FILEDIALOG_H


#include <QWidget>
#include <QGridLayout>
#include <QLineEdit>
#include <QListWidget>
#include <QListWidgetItem>
#include <QPushButton>
#include <QLabel>
#include <QPixmap>
#include <QTimer>

class FileDialog : public QWidget
{
    Q_OBJECT

public:
    FileDialog(QWidget *parent = 0);

public slots:
    void oneClick(QListWidgetItem*);
    void doubleClick(QListWidgetItem*);
    void chooseNewDir();
    void cancleChoose();

signals:
    void newDir(QString);
   // void reFlag(bool);



protected:


private:
    QLineEdit *dir_name_edit;
    QPushButton *ok_button;
    QPushButton *cancel_button;
    QListWidget *dir_list;
    QString dir;
    QString dir_name0;
    QString dir_name_lineE;
    QStringList dirlist;
    int num;
};


#endif // FILEDIALOG_H
